Subject: bug#59828: closed (Re: bug#59828: Fundamental Mode buffers fail to keep text properties)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Dec 2022 15:42:02 +0000

Your bug report

#59828: Fundamental Mode buffers fail to keep text properties

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59828: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59828
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59828: Fundamental Mode buffers fail to keep text properties
From: Eli Zaretskii <[email-masked]>
To: Heime <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 05 Dec 2022 17:40:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 05 Dec 2022 15:06:09 +0000
> From: Heime <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > > Conclusion: you need to turn on font-lock in that buffer.
> > > 
> > > When I use (text-mode) or (org-mode), I do not get the problem.
> > > 
> > > (with-current-buffer (get-buffer-create bufrn)
> > > (text-mode)
> > > (insert (propertize "G"
> > > 'font-lock-face '(:background "green"
> > > :foreground "black"))))
> > 
> > 
> > Because those turn on font-lock by default.
> 
> What do you think about having fundamental-mode also turn font-lock on ?

What it does now is the result of what we think.  That's why it is called
Fundamental.

Anyway, there's no bug here, so I'm closing this.

Subject: Fundamental Mode buffers fail to keep text properties
From: Heime <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 05 Dec 2022 06:30:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Have noticed that when I insert text with colour properties in a buffer
using fundamental-mode, the text properties (e.g. colours) get lost.